Package org.apache.jmeter.timers

# Class GaussianRandomTimer

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.timers.ConstantTimer
org.apache.jmeter.timers.RandomTimer
org.apache.jmeter.timers.GaussianRandomTimer

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `org.apache.jmeter.testelement.TestElement`, `ModifiableTimer`, `Timer`

public class GaussianRandomTimer extends RandomTimer implements Serializable
This class implements those methods needed by RandomTimer to be instantiable and implements a random delay with an average value and a gaussian distributed variation.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

`org.apache.jmeter.testelement.TestElement.Companion`

## Field Summary

### Fields inherited from class org.apache.jmeter.timers.RandomTimer

`RANGE`

### Fields inherited from class org.apache.jmeter.timers.ConstantTimer

`DELAY`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`GaussianRandomTimer()`

## Method Summary

Modifier and Type
Method
Description
`long`
`delay()`
Retrieve the delay to use during test execution.
`String`
`toString()`
Provide a description of this timer class.

### Methods inherited from class org.apache.jmeter.timers.RandomTimer

`getRandom, getRange, setRange, setRange`

### Methods inherited from class org.apache.jmeter.timers.ConstantTimer

`getDelay, setDelay`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.timers.ModifiableTimer

`isModifiable`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

## Constructor Details

### GaussianRandomTimer

public GaussianRandomTimer()

## Method Details

### delay

public long delay()
Description copied from class: `ConstantTimer`
Retrieve the delay to use during test execution.

Specified by:
  `delay` in interface `Timer`
Overrides:
  `delay` in class `ConstantTimer`
Returns:
  the delay.

### toString

public String toString()
Description copied from class: `ConstantTimer`
Provide a description of this timer class.

Overrides:
  `toString` in class `ConstantTimer`
Returns:
  the description of this timer class.